Package org.springframework.security.web.firewall

# Class DefaultRequestRejectedHandler

java.lang.Object
org.springframework.security.web.firewall.DefaultRequestRejectedHandler

All Implemented Interfaces:
  `RequestRejectedHandler`

public class DefaultRequestRejectedHandler extends Object implements RequestRejectedHandler
Default implementation of `RequestRejectedHandler` that simply rethrows the exception.

Since:
  5.4

## Constructor Summary

Constructors
Constructor
Description
`DefaultRequestRejectedHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, RequestRejectedException requestRejectedException)`
Handles an request rejected failure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultRequestRejectedHandler

public DefaultRequestRejectedHandler()

## Method Details

### handle

public void handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, RequestRejectedException requestRejectedException) throws IOException, jakarta.servlet.ServletException
Description copied from interface: `RequestRejectedHandler`
Handles an request rejected failure.

Specified by:
  `handle` in interface `RequestRejectedHandler`
Parameters:
  `request` - that resulted in an `RequestRejectedException`
  `response` - so that the user agent can be advised of the failure
  `requestRejectedException` - that caused the invocation
Throws:
  `IOException` - in the event of an IOException
  `jakarta.servlet.ServletException` - in the event of a ServletException